org.eclipse.viatra.query.runtime.rete.eval

## Class OutputCachingEvaluatorNode.NetworkStructureChangeSensitiveLogic

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.eval.OutputCachingEvaluatorNode.NetworkStructureChangeSensitiveLogic

- Enclosing class:
    OutputCachingEvaluatorNode

      protected abstract static class OutputCachingEvaluatorNode.NetworkStructureChangeSensitiveLogic
      extends java.lang.Object

  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NetworkStructureChangeSensitiveLogic()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `pullInto(java.util.Collection<Tuple> collector, boolean flush)`
    `abstract void` | `pullIntoWithTimeline(java.util.Map<Tuple,Timeline<Timestamp>> collector, boolean flush)`
    `abstract void` | `resumeAt(Timestamp timestamp)`
    `abstract void` | `update(Direction direction, Tuple input, Timestamp timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkStructureChangeSensitiveLogic

          protected NetworkStructureChangeSensitiveLogic()

  - ### Method Detail

    - #### update

          public abstract void update(Direction direction,
                                      Tuple input,
                                      Timestamp timestamp)

      Since:
        2.4

    - #### pullInto

          public abstract void pullInto(java.util.Collection<Tuple> collector,
                                        boolean flush)

    - #### pullIntoWithTimeline

          public abstract void pullIntoWithTimeline(java.util.Map<Tuple,Timeline<Timestamp>> collector,
                                                    boolean flush)

      Since:
        2.4

    - #### resumeAt

          public abstract void resumeAt(Timestamp timestamp)

      Since:
        2.4